#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-

group = 'datasource_programs'

register_rule(group,
    'special_agents:f5cloud',
     Transform(
         valuespec = Dictionary(
            title = _('Check F5 Clound via REST API'),
            help = _('This rule iallows querying the f5cloud REST API.'
                 'You can configure your connection settings here.'),
            elements = [
                ( 'username', TextAscii(
                    title = _('F5clound login username'),
                    allow_empty = False,
                )),
                ( 'password', Password(
                    title = _('F5cloud login password'),
                    allow_empty = False,
                )),
                ('timeout',
                 Integer(
                     title=_('Connection timeout'),
                     help=_('The network timeout in seconds when communicating with F5 cloud.'
                            'The default is 30 seconds.'),
                     default_value=30,
                     minvalue=1,
                     unit=_('seconds'),
                )),
            ],
            optional_keys=['timeout'],
        ),
    ),
    match = 'first')
